%define oname   gdk_pixbuf2

Name:       ruby-%{oname}
Version:    1.1.5
Release:    %mkrel 3
Summary:    Ruby/GdkPixbuf2 is a Ruby binding of GdkPixbuf-2.x
License:    LGPLv2.1
Group:      Development/Ruby
URL:        http://ruby-gnome2.sourceforge.jp/
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: rubygem(pkg-config)
BuildRequires: ruby-glib2-devel = %{version}
Provides:   ruby-gdkpixbuf2 = %{version}-%{release}

%description
Ruby/GdkPixbuf2 is a Ruby binding of GdkPixbuf-2.x.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*
%{ruby_vendorarchdir}/%{oname}.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}

#-------------------------------------------------------------------------------
%package        devel
Summary:    Development files for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    devel
Development headers for %{name}

%files          devel
%{ruby_vendorarchdir}/*.h
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_sitearchdir}/* %{buildroot}%{ruby_vendorarchdir}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.1.5-3.mga3
+ Revision: 395991
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-2.mga3
+ Revision: 380888
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.1.5-1.mga3
+ Revision: 312212
- update file list
- new version 1.1.5

* Mon Sep 26 2011 fwang <fwang> 1.0.3-1.mga2
+ Revision: 147921
- new version 1.0.3

* Sun May 08 2011 shikamaru <shikamaru> 0.90.8-2.mga1
+ Revision: 96293
- add provides due to name change

* Mon Mar 14 2011 shikamaru <shikamaru> 0.90.8-1.mga1
+ Revision: 71358
- New version 0.90.8
- drop unneeded patch since we moved glib2 files to vendorlibdir
- move files to vendorlibdir/vendorarchdir
- fix file list
- add versioned requirement for ruby-glib2

* Tue Feb 08 2011 shikamaru <shikamaru> 0.90.7-1.mga1
+ Revision: 49126
- imported package ruby-gdk_pixbuf2

